ALAS-2014-408


Amazon Linux AMI Security Advisory: ALAS-2014-408
Advisory Release Date: 2014-09-19 12:08 Pacific
Severity: Important

Issue Overview:

A heap-based buffer overflow flaw was found in procmail's formail utility. A remote attacker could send an email with specially crafted headers that, when processed by formail, could cause procmail to crash or, possibly, execute arbitrary code as the user running formail. (CVE-2014-3618 )


Affected Packages:

procmail


Issue Correction:
Run yum update procmail to update your system.

New Packages:
i686:
    procmail-3.22-25.1.6.amzn1.i686
    procmail-debuginfo-3.22-25.1.6.amzn1.i686

src:
    procmail-3.22-25.1.6.amzn1.src

x86_64:
    procmail-debuginfo-3.22-25.1.6.amzn1.x86_64
    procmail-3.22-25.1.6.amzn1.x86_64